Skip to content

Lightrun for the JVM - System Requirements

Lightrun has two main parts - the Lightrun Agent and the Lightrun Plugin. Please see the requirements below for each:

Installation Component Requirements
Production Machines (Java Agent) - JDK/OpenJDK 1.7 or newer
- Linux with GLIBCXX_3.4.19 or newer (Ubuntu 14+, Centos 7+ or equivalent)
Developer Machines (IDE Plugin) - JDK/OpenJDK 1.8 or newer
- IntelliJ Idea 2018.3 / 2019.3 / 2020.1

Last update: September 27, 2021